       subroutine llwinds2(u2,v2,uv,ull2,lsd)

       implicit none

       include 'param_o.h'
       integer::lsd
       real,dimension(0:im+1,0:jm+1,nm,lm)::u2,v2,uv,ull2
       real,dimension(0:im+1,0:jm+1,nm)::u2us,u2vs,v2us,v2vs
                               c o m m o n /wind_convert/  &
       u2us , v2us   &
      ,u2vs , v2vs 
       real,dimension(lm)::us,vs
       integer::i,j,n,l


      do l=1,lsd
      do n=1,nm
      do j=1,jm1
      do i=1,im1
        ull2(i,j,n,l) = u2us(i,j,n)**2 * u2(i,j,n,l) + v2us(i,j,n)**2   &
               * v2(i,j,n,l)+2.*u2us(i,j,n)*v2us(i,j,n)*uv(i,j,n,l)
      end do
      end do
      end do
      enddo

      end subroutine llwinds2

       


